Overview
Sets the configuration settings for the Contact Delete framework and components.
JSON Parameters
<!--complex table-->| Name | Type | Description | |
|---|---|---|---|
| items | array | Required | Key value pairs of configuration settings you are modifying. |
| items.SettingKey | string | Required | Configuration setting key to modify. This key supports only the SuppressionRestoreUntilDays value. |
| items.Value | string | Required | Value of the setting to modify. A value of -1 = 0 days. A value of 1 = 1 day. |
Usage
Example Request
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /contacts/v1/contacts/actions/delete/configSettings
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
{
"items" : [{
"settingKey" : "SuppressionRestoreUntilDays",
"value" : "-1"
}
]
}
Example Response
HTTP/1.1 200 Ok
{
"rowsEffected": 1,
"requestServiceMessageID": "c23e6308-1115-4655-aa83-da59712e40eb",
"responseDateTime": "2018-03-15T12:08:36.9709486-04:00",
"resultMessages": [],
"serviceMessageID": "57813e4a-3fa7-4058-9118-4c85752bbaf1"
}